petsc-3.13.6 2020-09-29
Report Typos and Errors

# TSComputeExactError

Compute the solution error for the timestepping using the function previously set.

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSComputeExactError(TS ts, Vec u, Vec e)

Collective on ts

### Input Arguments

| ts | - time stepping context
| u | - The approximate solution
| e | - The Vec used to store the error

### Notes

The calling sequence for the function is

    exactError(TS ts, Vec u)

    ts - The timestepping context

    u  - The approximate solution vector

    e  - The input vector in which the error is stored

### See Also

TSGetComputeInitialCondition(), TSSetComputeInitialCondition(), TSSolve()

### Level

advanced

### Location

src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages